curl --request GET \
--url https://external.pleo.io/v1/export-items \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.pleo.io/v1/export-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.pleo.io/v1/export-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"_links": {
"web": {
"exportItem": "https://example.com"
},
"mobile": {
"exportItem": "https://example.com"
},
"api": {
"exportItem": "https://example.com"
}
},
"accountingEntryId": "00000000-0000-0000-0000-000000000000",
"accountingEntryLines": [
{
"accountingEntryLineId": "00000000-0000-0000-0000-000000000000",
"lineAmount": {
"inSupplierCurrency": {
"value": 123
},
"inWalletCurrency": {
"value": 123
}
},
"netAmount": {
"inSupplierCurrency": {
"value": 123
},
"inWalletCurrency": {
"value": 123
}
},
"account": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "Meals and Entertainment",
"code": "<string>",
"identifier": "<string>"
},
"tags": [
{
"code": "<string>",
"groupCode": "<string>",
"id": "00000000-0000-0000-0000-000000000000"
}
],
"tax": {
"amount": {
"inSupplierCurrency": {
"value": 123
},
"inWalletCurrency": {
"value": 123
}
},
"id": "00000000-0000-0000-0000-000000000000",
"rate": 0.2,
"code": "<string>"
}
}
],
"additionalInformation": {
"reconciliationId": "<string>",
"attendees": [
"<string>"
],
"invoiceInformation": {
"invoiceDate": "2023-11-07T05:31:56Z",
"invoiceNumber": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"paymentDate": "2023-11-07T05:31:56Z",
"supplierBankAccount": {
"bankName": "<string>",
"country": "DK",
"accountNumber": "<string>",
"bankCode": "<string>",
"bic": "<string>",
"iban": "<string>"
}
},
"reconciledEntries": [
"<string>"
]
},
"amount": {
"inSupplierCurrency": {
"value": 123
},
"inWalletCurrency": {
"value": 123
}
},
"companyId": "00000000-0000-0000-0000-000000000000",
"date": "2023-11-07T05:31:56Z",
"user": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "John Doe",
"code": "<string>"
},
"files": [
{
"size": 2084,
"type": "application/pdf",
"url": "https://file.url"
}
],
"note": "<string>",
"supplier": {
"account": "<string>",
"categoryCode": "5999",
"code": "<string>",
"country": "DK",
"name": "GOOGLE*ADS8693645259",
"taxIdentifier": "<string>"
},
"team": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "Marketing",
"code": "<string>"
},
"teamCode": "<string>"
}
],
"pagination": {
"currentRequestPagination": {
"parameters": {},
"after": "<string>",
"before": "<string>",
"limit": 123,
"offset": 123,
"sortingKeys": [
"<string>"
],
"sortingOrder": []
},
"hasNextPage": true,
"hasPreviousPage": true,
"endCursor": "<string>",
"startCursor": "<string>",
"total": 123
}
}Get Export Items
Fetch a list of export items that have been marked for export for a given job. The data for these accounting entries are transformed accordingly for export purposes.
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Query Parameters
The Export Job ID in which the accounting entries have been included for export.
Lower bound of the page of data to return (cannot be used together with [after] or [offset]).
^[A-Z2-7=~]+$Upper bound of the page of data to return (cannot be used together with [before] or [offset]).
^[A-Z2-7=~]+$Offset of the page of data to return (cannot be used together with [before] or [after]).
x >= 0The maximum amount of items to return.
x >= 0The keys to sort the results by.
The order to sort the results by. Must be the same length as [sortingKeys]; one order per key.
ASC, ASC_NULLS_FIRST, ASC_NULLS_LAST, DESC, DESC_NULLS_FIRST, DESC_NULLS_LAST Was this page helpful?